Cloudera Labs
Provide feedback on Cloudera Labs
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Cloudera envelope : Error while running envelope

SOLVED Go to solution

Cloudera envelope : Error while running envelope

Explorer

Hi Team,

 

We are getting the below error while running envelope tool:

ERROR client.TabletClient: [Peer XXXXX] Tablet server sent error Incomplete: Request with id { client_id: "XXXXX" seq_no: 1 first_incomplete_seq_no: 1 attempt_no: 1 } is stale

 

I found there was a jira case opened for similar issue: https://issues.apache.org/jira/browse/KUDU-2053

 

Could you please let me know which version of spark-kudu client is being used in the envelope.

 

Regards,

Arvind

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Cloudera envelope : Error while running envelope

Rising Star

Hi Arvind,

 

Envelope currently uses the Kudu 1.4.0 client[1]. In the near future we will be releasing Envelope 0.7.0 which will use the Kudu 1.8.0 client, and so then that bug should be fixed.

 

In the mean time you could change the Envelope Kudu client dependency to 1.4.1 (which that JIRA says the bug is fixed in) and rebuild Envelope.

 

[1] https://github.com/cloudera-labs/envelope/blob/master/external/kudu/pom.xml#L15

 

Jeremy

4 REPLIES 4

Re: Cloudera envelope : Error while running envelope

Rising Star

Hi Arvind,

 

Envelope currently uses the Kudu 1.4.0 client[1]. In the near future we will be releasing Envelope 0.7.0 which will use the Kudu 1.8.0 client, and so then that bug should be fixed.

 

In the mean time you could change the Envelope Kudu client dependency to 1.4.1 (which that JIRA says the bug is fixed in) and rebuild Envelope.

 

[1] https://github.com/cloudera-labs/envelope/blob/master/external/kudu/pom.xml#L15

 

Jeremy

Re: Cloudera envelope : Error while running envelope

Explorer

Thanks Jeremy, will try out your suggestion.

Re: Cloudera envelope : Error while running envelope

Explorer

Hi Jeremy,

 

I am getting below error related to asciidoctor plugin:

Plugin execution not covered by lifecycle configuration: org.asciidoctor:asciidoctor-maven-plugin:1.5.6:process-asciidoc (execution: output-html, phase: generate-resources)

 

Kindly find the attached image of eclipse error.

 

Regards,

ArvindpluginIssue.JPGasciidoctor plugin issue

Highlighted

Re: Cloudera envelope : Error while running envelope

Rising Star

Hi Arvind,

 

I don't have recent experience with Eclipse so the best I can recommend is to try to find if Eclipse has a way to ignore that error because you shouldn't need an Eclipse plugin in order to build Envelope.

 

Jeremy